Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Str_Buf Class Reference

Simple wrapper for STREAM pipes strbuf. More...

`#include <OS_NS_stropts.h>`

Inheritance diagram for ACE_Str_Buf:

[legend]
Collaboration diagram for ACE_Str_Buf:

[legend]
List of all members.

## Public Methods
| ACE_Str_Buf (void *b=0, int l=0, int max=0)
| Constructor.
| ACE_Str_Buf (strbuf &)
| Constructor.

## Detailed Description

Simple wrapper for STREAM pipes strbuf.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Str_Buf::ACE_Str_Buf | ( | void * | b = 0,
|  | int | l = 0,
|  | int | max = 0
| ) |

| Constructor.

ACE_INLINE ACE_Str_Buf::ACE_Str_Buf | ( | strbuf & |  | ) |

| Constructor.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_stropts.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_stropts.inl